import { defineConfig } from 'umi';
import  routes from './src/router'

export default defineConfig({
  // nodeModulesTransform: {
  //   type: 'none',
  // },
  layout: {
    name: 'RPC Project',
    layout: 'side', 
    navTheme: 'light',
  },
  routes,
  fastRefresh: {},
  // publicPath:'/',
  proxy:{
    '/api': {
      'target': 'https://rpc-dashboard.ywtinfo.com',
      'changeOrigin': true,
      'pathRewrite': { '^/' : '' },
    },
  },
});
